Query Upgrade Plan sections for a component
curl --request POST \
--url https://api.draftt.io/v1/component/{componentId}/draftt/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sections": [
"deployments",
"controlPlane",
"nodes",
"k8sApi"
]
}
'import requests
url = "https://api.draftt.io/v1/component/{componentId}/draftt/query"
payload = { "sections": ["deployments", "controlPlane", "nodes", "k8sApi"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sections: ['deployments', 'controlPlane', 'nodes', 'k8sApi']})
};
fetch('https://api.draftt.io/v1/component/{componentId}/draftt/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "73",
"componentId": "123",
"name": "Kubernetes 1.31 upgrade",
"technology": "eks",
"currentVersion": "1.30",
"desiredVersion": "1.31",
"status": "pending",
"upgradePlan": {
"deployments": {
"changes": [
{
"k8sResourceId": "62d2425e-35c4-4c25-ae02-6503ee0cc94f",
"name": "ingress-nginx",
"currentVersion": "1.10.0",
"desiredVersion": "1.11.0",
"status": "pending"
}
]
}
}
}
]
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Component
Query Upgrade Plan sections for a component
deprecated
Deprecated. Use POST /component//upgradePlan/query instead.
POST
/
component
/
{componentId}
/
draftt
/
query
Query Upgrade Plan sections for a component
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Component ID
Body
application/json
Flavor-specific upgrade-plan sections to retrieve.
Available options:
deployments, controlPlane, nodes, k8sApi Response
Success
Array of Upgrade Plans containing the requested sections
- Option 1
- Option 2
Show child attributes
Show child attributes